com.oracle.truffle.api.instrument

## Class SyntaxTagTrap

- java.lang.Object
- - com.oracle.truffle.api.instrument.SyntaxTagTrap

    public abstract class SyntaxTagTrap
    extends java.lang.Object

A trap that can be set to interrupt execution at probed nodes carrying a specific tag.

### Constructor Summary

Constructors
`protected` `SyntaxTagTrap(SyntaxTag tag)`

### Method Summary

Methods
`SyntaxTag` `getTag()`
`abstract void` `tagTrappedAt(Node node, MaterializedFrame frame)` Callback that will be received whenever execution enters a node with the specified tag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyntaxTagTrap

    protected SyntaxTagTrap(SyntaxTag tag)

### Method Detail

#### getTag

    public final SyntaxTag getTag()

#### tagTrappedAt

    public abstract void tagTrappedAt(Node node,
                    MaterializedFrame frame)

Callback that will be received whenever execution enters a node with the specified tag.